Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #952 (closed defect: fixed)

Opened 13 years ago

Last modified 11 years ago

madwifi 0.9.2 iwlist scan shows much fewer APs than wlanconfig list scan. Fixed in current svn

Reported by: rberger@ibd.com Assigned to:
Priority: minor Milestone: version 0.9.5
Component: madwifi: other Version: v0.9.2
Keywords: iwlist, scan, "wireless extensions", wlanconfig Cc:
Patch is attached: 0 Pending:

Description

Even though this looks like a fixed bug in current subversion repository, I wanted to report this so that others don't have to waste a day like I did.

In an environment with lots of SSIDs/APs, tools that are based on wireless extensions (iwlist, wpa_supplicant) will report a significantly less number of SSIDs than that are in the environment.

If you use wlanconfig ath0 list scan, you will see all the APs/SSIDs that are in the environment.

This was true when running a vanilla madwifi 0.9.2 that was distributed as an at.rpm:

The madwifi version info:


madwifi-0.9.2-28.fc5.at
madwifi-kmdl-2.6.17-1.2187_FC5-0.9.2-28.fc5.at
madwifi-hal-kmdl-2.6.17-1.2187_FC5-0.9.2-28.fc5.at


ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
ath_rate_sample: 1.2 (0.9.2)
ath_pci: 0.9.4.5 (0.9.2)
wlan: 0.8.4.2 (0.9.2)
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.9 phy 4.3 radio 4.6
wifi0: Atheros 5212: mem=0xb0300000, irq=225

When I built a new madwifi using the latest subversion repository, this was no longer a problem and I got the same number of APs/SSIDs with iwlist and wlanconfig.

The version info for the madwif that works fine (from today's subversion repository):

ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (svn r1750)
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.9 phy 4.3 radio 4.6

Change History

10/12/06 06:43:55 changed by mrenzmann

It would be interesting to learn if that is fixed through the new HAL or something else. Can you please compare r1710 and r1711 regarding the described behaviour?

07/16/07 23:55:08 changed by buchanan dot jesse at gmail dot com

Ahem, I'm seeing the *opposite* problem..

wlanconfig ath0 list scan shows fewer APs than does iwlist scan..

It's quite frustrating as NetworkManager is obviously getting it's data from the former method, because the same APs are missing from nm-applet that are missing from wlanconfig.

07/16/07 23:56:03 changed by buchanan dot jesse at gmail dot com

Should mention, using AR5418 on a Thinkpad T60, madwifi-ng r2497.

07/17/07 00:07:19 changed by mtaylor

This was fixed in trunk by removing a filter that would eliminate weak APs.

See http://madwifi.org/changeset/2420.

If you really want to stay on your current revision, you should backport that patch. Otherwise, please confirm we can close this ticket.

07/17/07 00:11:45 changed by mentor

  • summary changed from madwifi 0.9.2 iwlist scan shows much less APs than wlanconfig list scan. Fixed in current svn to madwifi 0.9.2 iwlist scan shows much fewer APs than wlanconfig list scan. Fixed in current svn.

07/19/07 20:33:23 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to version 0.9.4.

@Jesse: the problem you are likely experiencing is due to the limited size of the structures used for IOCTLs. This should not be a problem in later kernels. If you are still experiencing this problem, please open a new bug.

02/11/08 06:13:10 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.